summary refs log tree commit diff
path: root/tools/create-exports-NetworkManager.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/create-exports-NetworkManager.sh')
-rwxr-xr-xtools/create-exports-NetworkManager.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/tools/create-exports-NetworkManager.sh b/tools/create-exports-NetworkManager.sh
index c1010f72..85c23930 100755
--- a/tools/create-exports-NetworkManager.sh
+++ b/tools/create-exports-NetworkManager.sh
@@ -1,6 +1,7 @@
 #!/bin/bash
 
 set -e
+set -o pipefail
 
 die() {
     echo "$@"
@@ -46,9 +47,9 @@ EOF
 }
 
 get_symbols_missing() {
-    (for f in ./src/settings/plugins/*/.libs/*.so \
-              ./src/devices/*/.libs/*.so \
-              ./src/ppp/.libs/libnm-ppp-plugin.so; do
+    (for f in $(find ./src/settings/plugins/*/.libs/ \
+              ./src/devices/*/.libs/ \
+              ./src/ppp/.libs/ -name '*.so'); do
         call_nm "$f" |
             sed -n 's/^\([U]\) \(\(nm_\|nmp_\|_nm\|NM\|_NM\).*\)$/\2/p'
     done) |